Bug 999630 - [RHEVM-ENGINE] Host selection is override if host can't run VM
[RHEVM-ENGINE] Host selection is override if host can't run VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Artyom
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 14:07 EDT by Barak Dagan
Modified: 2016-02-10 15:13 EST (History)
10 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log + memloading scripts (29.23 KB, application/x-compressed-tar)
2013-08-21 14:07 EDT, Barak Dagan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19847 None None None Never
oVirt gerrit 19970 None None None Never

  None (edit)
Description Barak Dagan 2013-08-21 14:07:55 EDT
Created attachment 788952 [details]
engine log + memloading scripts

Description of problem:
When manual VM performed, specifying destination host, and that host can't run vm (for example 100% memory load), the VM will be migrated to a third host (if exists). Need to see what happen if there is no 3rd host.

2nd scenario - start vm which is pinned to overloaded host or host in maintenance mode and there is another host in cludter - wasn't tested.
Need to see what happen if there is no 2nd host.


Version-Release number of selected component (if applicable):
SF19.2

How reproducible:
100%

Steps to Reproduce:
1. Create DC with 3 hosts in a cluster + SD
2. Create and start a VM
3. Load different host memory to ~95%
4. Migrate VM to loaded host

Actual results:
VM migrated to the 3rd host

Expected results:
Operation should fail + notify user that dest host is NA

Additional info:
Comment 1 Barak Dagan 2013-08-21 14:11:42 EDT
In 3.3 there is another scenario - host selection in run once
Comment 2 Artyom 2013-10-16 12:46:54 EDT
I success to migrate vm on host with 96% loading of memory, without any error message(it is maximum that I success to reach), I think host just start to use swap, so if you can you give me some advice how to check this scenario?
Thanks
Comment 3 Artyom 2013-10-16 13:26:22 EDT
also after some time I receive this message:
Available memory of host rose05.qa.lab.tlv.redhat.com [222 MB] is under defined threshold [1024 MB]
Comment 4 Gilad Chaplik 2013-10-17 08:32:37 EDT
before this fix, the VM was migrated to another host (not the specified one). you should fail if you have swap; Barak and I wrote a program that loads the host's memory, maybe you can try that.
another possibility is to remove required network from the dest host, in this case it should fail the migration and not try to migrate to another host like it used to.
Comment 5 Artyom 2013-10-18 07:36:00 EDT
Verified on is19, after that I choose host for migration I stop vdsm, so migration failed and vm stay on old host
Comment 6 Barak Dagan 2013-10-20 03:07:11 EDT
Did you get an event log message explaining that there is a problem with destination host, therefore the migration was canceled ?
Comment 7 Artyom 2013-10-20 03:21:43 EDT
I just receive message that migration failed but I used second possibility, killed host network where I try migrate my vm
Comment 8 Itamar Heim 2014-01-21 17:30:09 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:30:09 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:33:08 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.